/*~**********************************************************************************************************************
*	~Project / File:	"iceHelpers" - "CSprite.h"																		*
*																														*
*	~Author:			Tim Beaudet																						*
*	~Date Created:		10/2/2010																						*
*	~Last Updated:		10/2/2010																						*
*	~Version:			1.0.0																							*
*																														*
*	~Purpose:			A quick sprite helper to make a quad that can be colored, textured or both.  Rotated etc.		*
*																														*
**********************************************************************************************************************~*/

#ifndef _iceHelpers_CUISprite_h_
#define _iceHelpers_CUISprite_h_

#include "../TurnBasedRacer.h"
#include "CSprite.h"
#include "../UserInterface/CUserInterface.h"

/*~**********************************
*      Forward Declarations		    *
**********************************~*/

class CUISprite : public CSprite
{
private:

public:
	/*~**********************************
	*      Constructors/Destructor      *
	**********************************~*/

	CUISprite(void);
	~CUISprite(void);

	/*~**********************************
	*       Methods and Functions       *
	**********************************~*/

	/*~**********************************************************************************************************************
	*	~Function:			"MethodName"																					*
	*	~Modified By:		Tim Beaudet																						*
	*	~Last Updated:		3/27/2010																						*
	*																														*
	*	~Purpose:			TEMPLATE_TODO: Write something useful.															*
	*																														*
	*	~In:				Nothing.																						*
	*																														*
	*	~Out:				Nothing.																						*
	**********************************************************************************************************************~*/

	/*~**********************************
	*        Operator Overloads         *
	**********************************~*/

	/*~**********************************
	*      Accessors and Mutators       *
	**********************************~*/

//	static float GetGuideHorzPosition(UIGuide horzGuide);
//	static float GetGuideVertPosition(UIGuide vertGuide);
//	static void GetGuidePosition(float *x, float *y, UIGuide horzGuide, UIGuide vertGuide);

	void SetInterfaceCoords(ui::UIGuide horzGuide, float horzOffset, ui::UIGuide vertGuide, float vertOffset, float width, float height);
	void SetInterfaceHotspot(ui::UIGuide horzeGuide, ui::UIGuide vertGuide);

	/*~**********************************
	*    Friend Classes and Methods     *
	**********************************~*/

	/*~**********************************
	*        Protected Interface        *
	**********************************~*/
protected:

	/*~**********************************
	*         Private Interface         *
	**********************************~*/
private:
};

#endif _iceHelpers_CUISprite_h_