/*~******************************************************************************************
*	~Project:	"Alone"																		*
*	~Author:	Tim Beaudet																	*
*	~Modified:	12/16/2011																	*
******************************************************************************************~*/

#include "../CStateMachine.h"

#ifndef _Alone_CGamePlay_h_
#define _Alone_CGamePlay_h_

class CGamePlay : public IState
{
public:
	virtual ~CGamePlay(void);

	virtual std::string StateName(void) const { return "GamePlay"; }

	virtual void Simulate(void);
	virtual void Update(float dt);
	virtual void Render(void) const;
	virtual void Draw(void) const;

	virtual bool Load(IState *prevState);
	virtual void Unload(IState *nextState);
};

#endif _Alone_CGamePlay_h_