
/*~**********************************************************************************************************************
*	~Project / File:	"iceHelpers" - "CSprite.cpp"																		*
*																														*
*	~Author:			Tim Beaudet																						*
*	~Date Created:		10/2/2010																						*
*	~Last Updated:		10/2/2010																						*
*	~Version:			1.0.0																							*
*																														*
*	~Purpose:			A quick sprite helper to make a quad that can be colored, textured or both.  Rotated etc.		*
*																														*
**********************************************************************************************************************~*/

#include "CUISprite.h"
#include <GameMath.h>

#include "../UserInterface/CUserInterface.h"

#include <InternalCombustion.h>
using namespace InternalCombustion;
using namespace InternalCombustion::Visual;

CUISprite::CUISprite(void)
{

}

CUISprite::~CUISprite(void)
{

}

//float CUISprite::GetGuideHorzPosition(UIGuide guide)
//{
//	return ui::GetGuideHorzPosition((ui::UIGuide)guide);
//
//	//float aspectRatio = ComputeAspectRatio();
//	//if (UIG_TOP == guide)
//	//	return 0.05f * aspectRatio;
//	//else if (UIG_CENTER == guide)
//	//	return 0.5f * aspectRatio;
//	//else
//	//	return 0.95f * aspectRatio;
//}
//
//float CUISprite::GetGuideVertPosition(UIGuide guide)
//{
//	return ui::GetGuideVertPosition((ui::UIGuide)guide);
//	//if (UIG_TOP == guide)
//	//	return 0.05f;
//	//else if (UIG_CENTER == guide)
//	//	return 0.5f;
//	//else
//	//	return 0.95f;
//}
//
//void CUISprite::GetGuidePosition(float *x, float *y, UIGuide horzGuide, UIGuide vertGuide)
//{
//	ui::GetGuidePosition(x, y, (ui::UIGuide)horzGuide, (ui::UIGuide)vertGuide);
////	*x = GetGuideHorzPosition(horzGuide);
////	*y = GetGuideVertPosition(vertGuide);
//}

void CUISprite::SetInterfaceCoords(ui::UIGuide horzGuide, float horzOffset, ui::UIGuide vertGuide, float vertOffset, float width, float height)
{
	float sx = ui::GetGuideHorzPosition(horzGuide) + horzOffset;
	float sy = ui::GetGuideVertPosition(vertGuide) + vertOffset;
	SetScreenCoords(sx, sy, width, height);
}

void CUISprite::SetInterfaceHotspot(ui::UIGuide horzeGuide, ui::UIGuide vertGuide)
{
	assert(0 && "CUISprite::SetInterfaceHotspot - Not implemented yet.");
}

