/*~******************************************************************************************
*	~Project:	"TestProjects"																*
*	~Author:	Tim Beaudet																	*
*	~Modified:	09/25/2011																	*
******************************************************************************************~*/

#ifndef _TestProjects_Camera2D_h_
#define _TestProjects_Camera2D_h_

#include <GameMath.h>

namespace Camera
{
	void SetPlaneXZ(bool xzPlane = true);
	bool GetPlaneXZ(void);

	GameMath::Vector3 GetPosition(void);
	void SetPosition(const GameMath::Vector3 &pos);
	float GetZoom(void);
	void SetZoom(float zoom);

	GameMath::Vector3* ToWorldSpace(GameMath::Vector3 *screenPos);
	GameMath::Vector3* ToScreenSpace(GameMath::Vector3 *worldPos);

	GameMath::Vector3* ToWorldScale(GameMath::Vector3 *screenPos);
	GameMath::Vector3* ToScreenScale(GameMath::Vector3 *worldPos);

};	//namespace Camera

#endif _TestProjects_Camera2D_h_